Developer API v1
API Documentation
343 endpoints · Sanctum token auth · JSON responses · Rate limited
All
GET
POST
PUT
DELETE
Contents
Authentication
Get a Bearer token via the login endpoints below, then pass it on every request:
Authorization: Bearer <your-token>
Accept: application/json
Base URL: https://invozeo.startupitsolution.in/api/v1
# 1 — get a token
curl -X POST https://invozeo.startupitsolution.in/api/v1/auth/tenant/login \
-H "Accept: application/json" \
-d "email=you@company.com" -d "password=••••••••"
# 2 — call any endpoint
curl https://invozeo.startupitsolution.in/api/v1/customers \
-H "Accept: application/json" \
-H "Authorization: Bearer <token>"
Authentication
4
| POST | /api/v1/auth/tenant/login | Tenant user login — returns Sanctum token |
| POST | /api/v1/auth/customer/login | Customer portal login |
| POST | /api/v1/auth/logout | Revoke current token (auth required) |
| GET | /api/v1/auth/me | Get authenticated user profile (auth required) |
Accounts
3
| GET | /api/v1/accounts | List accounts (paginated) |
| POST | /api/v1/accounts | Create account |
| DELETE | /api/v1/accounts/{id} | Delete account |
Ai
2
| POST | /api/v1/ai/query | Ai Query |
| POST | /api/v1/ai/lead-score/{leadId} | Ai Lead Score |
Appointments
5
| GET | /api/v1/appointments | List appointments (paginated) |
| POST | /api/v1/appointments | Create appointment |
| GET | /api/v1/appointments/{id} | Get appointment details |
| PUT | /api/v1/appointments/{id} | Update appointment (PUT/PATCH) |
| DELETE | /api/v1/appointments/{id} | Delete appointment |
Approval Requests
6
| GET | /api/v1/approval-requests | List approval requests (paginated) |
| GET | /api/v1/approval-requests/{id} | Get approval request details |
| POST | /api/v1/approval-requests | Create approval request |
| PUT | /api/v1/approval-requests/{id} | Update approval request (PUT/PATCH) |
| POST | /api/v1/approval-requests/{id}/approve | Approve Request |
| POST | /api/v1/approval-requests/{id}/reject | Reject Request |
Approval Workflows
5
| GET | /api/v1/approval-workflows | List approval workflows (paginated) |
| POST | /api/v1/approval-workflows | Create approval workflow |
| GET | /api/v1/approval-workflows/{id} | Get approval workflow details |
| PUT | /api/v1/approval-workflows/{id} | Update approval workflow (PUT/PATCH) |
| DELETE | /api/v1/approval-workflows/{id} | Delete approval workflow |
Attendance
3
| POST | /api/v1/attendance | Create attendance |
| GET | /api/v1/attendance | List attendance (paginated) |
| DELETE | /api/v1/attendance/{id} | Delete attendance |
Automation Logs
2
| GET | /api/v1/automation-logs | List automation logs (paginated) |
| GET | /api/v1/automation-logs/{id} | Get automation log details |
Automation Rules
5
| GET | /api/v1/automation-rules | List automation rules (paginated) |
| POST | /api/v1/automation-rules | Create automation rule |
| GET | /api/v1/automation-rules/{id} | Get automation rule details |
| PUT | /api/v1/automation-rules/{id} | Update automation rule (PUT/PATCH) |
| DELETE | /api/v1/automation-rules/{id} | Delete automation rule |
Boms
5
| GET | /api/v1/boms | List boms (paginated) |
| POST | /api/v1/boms | Create bom |
| GET | /api/v1/boms/{id} | Get bom details |
| PUT | /api/v1/boms/{id} | Update bom (PUT/PATCH) |
| DELETE | /api/v1/boms/{id} | Delete bom |
Campaigns
6
| GET | /api/v1/campaigns | List campaigns (paginated) |
| POST | /api/v1/campaigns | Create campaign |
| GET | /api/v1/campaigns/{id} | Get campaign details |
| PUT | /api/v1/campaigns/{id} | Update campaign (PUT/PATCH) |
| DELETE | /api/v1/campaigns/{id} | Delete campaign |
| POST | /api/v1/campaigns/{id}/send | Send Campaign |
Commissions
5
| GET | /api/v1/commissions | List commissions (paginated) |
| POST | /api/v1/commissions | Create commission |
| GET | /api/v1/commissions/{id} | Get commission details |
| PUT | /api/v1/commissions/{id} | Update commission (PUT/PATCH) |
| DELETE | /api/v1/commissions/{id} | Delete commission |
Course Batches
5
| GET | /api/v1/course-batches | List course batches (paginated) |
| POST | /api/v1/course-batches | Create course batch |
| GET | /api/v1/course-batches/{id} | Get course batch details |
| PUT | /api/v1/course-batches/{id} | Update course batch (PUT/PATCH) |
| DELETE | /api/v1/course-batches/{id} | Delete course batch |
Courses
5
| GET | /api/v1/courses | List courses (paginated) |
| POST | /api/v1/courses | Create course |
| GET | /api/v1/courses/{id} | Get course details |
| PUT | /api/v1/courses/{id} | Update course (PUT/PATCH) |
| DELETE | /api/v1/courses/{id} | Delete course |
Customers
5
| GET | /api/v1/customers | List customers (paginated) |
| POST | /api/v1/customers | Create customer |
| GET | /api/v1/customers/{id} | Get customer details |
| PUT | /api/v1/customers/{id} | Update customer (PUT/PATCH) |
| DELETE | /api/v1/customers/{id} | Delete customer |
Deal Rooms
5
| GET | /api/v1/deal-rooms | List deal rooms (paginated) |
| POST | /api/v1/deal-rooms | Create deal room |
| GET | /api/v1/deal-rooms/{id} | Get deal room details |
| PUT | /api/v1/deal-rooms/{id} | Update deal room (PUT/PATCH) |
| DELETE | /api/v1/deal-rooms/{id} | Delete deal room |
Deliveries
5
| GET | /api/v1/deliveries | List deliveries (paginated) |
| POST | /api/v1/deliveries | Create delivery |
| GET | /api/v1/deliveries/{id} | Get delivery details |
| PUT | /api/v1/deliveries/{id} | Update delivery (PUT/PATCH) |
| DELETE | /api/v1/deliveries/{id} | Delete delivery |
Delivery Agents
5
| GET | /api/v1/delivery-agents | List delivery agents (paginated) |
| POST | /api/v1/delivery-agents | Create delivery agent |
| GET | /api/v1/delivery-agents/{id} | Get delivery agent details |
| PUT | /api/v1/delivery-agents/{id} | Update delivery agent (PUT/PATCH) |
| DELETE | /api/v1/delivery-agents/{id} | Delete delivery agent |
Departments
5
| GET | /api/v1/departments | List departments (paginated) |
| POST | /api/v1/departments | Create department |
| GET | /api/v1/departments/{id} | Get department details |
| PUT | /api/v1/departments/{id} | Update department (PUT/PATCH) |
| DELETE | /api/v1/departments/{id} | Delete department |
Document Folders
5
| GET | /api/v1/document-folders | List document folders (paginated) |
| POST | /api/v1/document-folders | Create document folder |
| GET | /api/v1/document-folders/{id} | Get document folder details |
| PUT | /api/v1/document-folders/{id} | Update document folder (PUT/PATCH) |
| DELETE | /api/v1/document-folders/{id} | Delete document folder |
Documents
5
| GET | /api/v1/documents | List documents (paginated) |
| POST | /api/v1/documents | Create document |
| GET | /api/v1/documents/{id} | Get document details |
| PUT | /api/v1/documents/{id} | Update document (PUT/PATCH) |
| DELETE | /api/v1/documents/{id} | Delete document |
Employees
5
| GET | /api/v1/employees | List employees (paginated) |
| POST | /api/v1/employees | Create employee |
| GET | /api/v1/employees/{id} | Get employee details |
| PUT | /api/v1/employees/{id} | Update employee (PUT/PATCH) |
| DELETE | /api/v1/employees/{id} | Delete employee |
Enrollments
5
| GET | /api/v1/enrollments | List enrollments (paginated) |
| POST | /api/v1/enrollments | Create enrollment |
| GET | /api/v1/enrollments/{id} | Get enrollment details |
| PUT | /api/v1/enrollments/{id} | Update enrollment (PUT/PATCH) |
| DELETE | /api/v1/enrollments/{id} | Delete enrollment |
Expenses
5
| GET | /api/v1/expenses | List expenses (paginated) |
| POST | /api/v1/expenses | Create expense |
| GET | /api/v1/expenses/{id} | Get expense details |
| PUT | /api/v1/expenses/{id} | Update expense (PUT/PATCH) |
| DELETE | /api/v1/expenses/{id} | Delete expense |
Export
1
| GET | /api/v1/export/{module} | Export |
Exports
1
| GET | /api/v1/exports/{id}/download | Download Export |
Fee Schedules
5
| GET | /api/v1/fee-schedules | List fee schedules (paginated) |
| POST | /api/v1/fee-schedules | Create fee schedule |
| GET | /api/v1/fee-schedules/{id} | Get fee schedule details |
| PUT | /api/v1/fee-schedules/{id} | Update fee schedule (PUT/PATCH) |
| DELETE | /api/v1/fee-schedules/{id} | Delete fee schedule |
Field Visits
7
| GET | /api/v1/field-visits | List field visits (paginated) |
| POST | /api/v1/field-visits | Create field visit |
| GET | /api/v1/field-visits/{id} | Get field visit details |
| PUT | /api/v1/field-visits/{id} | Update field visit (PUT/PATCH) |
| DELETE | /api/v1/field-visits/{id} | Delete field visit |
| POST | /api/v1/field-visits/{id}/check-in | Field Check In |
| POST | /api/v1/field-visits/{id}/check-out | Field Check Out |
Grns
5
| GET | /api/v1/grns | List grns (paginated) |
| POST | /api/v1/grns | Create grn |
| GET | /api/v1/grns/{id} | Get grn details |
| PUT | /api/v1/grns/{id} | Update grn (PUT/PATCH) |
| DELETE | /api/v1/grns/{id} | Delete grn |
Gst
1
| GET | /api/v1/gst/reports/{type} | Gst Report |
Gst Returns
5
| GET | /api/v1/gst-returns | List gst returns (paginated) |
| POST | /api/v1/gst-returns | Create gst return |
| GET | /api/v1/gst-returns/{id} | Get gst return details |
| PUT | /api/v1/gst-returns/{id} | Update gst return (PUT/PATCH) |
| DELETE | /api/v1/gst-returns/{id} | Delete gst return |
Gst Transactions
5
| GET | /api/v1/gst-transactions | List gst transactions (paginated) |
| POST | /api/v1/gst-transactions | Create gst transaction |
| GET | /api/v1/gst-transactions/{id} | Get gst transaction details |
| PUT | /api/v1/gst-transactions/{id} | Update gst transaction (PUT/PATCH) |
| DELETE | /api/v1/gst-transactions/{id} | Delete gst transaction |
Import
1
| POST | /api/v1/import/{module} | Import |
Invoices
5
| GET | /api/v1/invoices | List invoices (paginated) |
| POST | /api/v1/invoices | Create invoice |
| GET | /api/v1/invoices/{id} | Get invoice details |
| PUT | /api/v1/invoices/{id} | Update invoice (PUT/PATCH) |
| DELETE | /api/v1/invoices/{id} | Delete invoice |
Journal
4
| GET | /api/v1/journal | List journal (paginated) |
| GET | /api/v1/journal/{id} | Get journal details |
| POST | /api/v1/journal | Create journal |
| DELETE | /api/v1/journal/{id} | Delete journal |
Kot Tickets
5
| GET | /api/v1/kot-tickets | List kot tickets (paginated) |
| POST | /api/v1/kot-tickets | Create kot ticket |
| GET | /api/v1/kot-tickets/{id} | Get kot ticket details |
| PUT | /api/v1/kot-tickets/{id} | Update kot ticket (PUT/PATCH) |
| DELETE | /api/v1/kot-tickets/{id} | Delete kot ticket |
Leads
5
| GET | /api/v1/leads | List leads (paginated) |
| POST | /api/v1/leads | Create lead |
| GET | /api/v1/leads/{id} | Get lead details |
| PUT | /api/v1/leads/{id} | Update lead (PUT/PATCH) |
| DELETE | /api/v1/leads/{id} | Delete lead |
Leaves
3
| GET | /api/v1/leaves | List leaves (paginated) |
| POST | /api/v1/leaves | Create leaf |
| PUT | /api/v1/leaves/{id} | Update leaf (PUT/PATCH) |
Loyalty Tiers
5
| GET | /api/v1/loyalty-tiers | List loyalty tiers (paginated) |
| POST | /api/v1/loyalty-tiers | Create loyalty tier |
| GET | /api/v1/loyalty-tiers/{id} | Get loyalty tier details |
| PUT | /api/v1/loyalty-tiers/{id} | Update loyalty tier (PUT/PATCH) |
| DELETE | /api/v1/loyalty-tiers/{id} | Delete loyalty tier |
Material Issues
5
| GET | /api/v1/material-issues | List material issues (paginated) |
| POST | /api/v1/material-issues | Create material issue |
| GET | /api/v1/material-issues/{id} | Get material issue details |
| PUT | /api/v1/material-issues/{id} | Update material issue (PUT/PATCH) |
| DELETE | /api/v1/material-issues/{id} | Delete material issue |
Notifications
2
| GET | /api/v1/notifications | Notifications |
| POST | /api/v1/notifications/{id}/read | Mark Notification Read |
Opportunities
5
| GET | /api/v1/opportunities | List opportunities (paginated) |
| POST | /api/v1/opportunities | Create opportunity |
| GET | /api/v1/opportunities/{id} | Get opportunity details |
| PUT | /api/v1/opportunities/{id} | Update opportunity (PUT/PATCH) |
| DELETE | /api/v1/opportunities/{id} | Delete opportunity |
Patient Visits
5
| GET | /api/v1/patient-visits | List patient visits (paginated) |
| POST | /api/v1/patient-visits | Create patient visit |
| GET | /api/v1/patient-visits/{id} | Get patient visit details |
| PUT | /api/v1/patient-visits/{id} | Update patient visit (PUT/PATCH) |
| DELETE | /api/v1/patient-visits/{id} | Delete patient visit |
Patients
5
| GET | /api/v1/patients | List patients (paginated) |
| POST | /api/v1/patients | Create patient |
| GET | /api/v1/patients/{id} | Get patient details |
| PUT | /api/v1/patients/{id} | Update patient (PUT/PATCH) |
| DELETE | /api/v1/patients/{id} | Delete patient |
Payments
5
| GET | /api/v1/payments | List payments (paginated) |
| POST | /api/v1/payments | Create payment |
| GET | /api/v1/payments/{id} | Get payment details |
| PUT | /api/v1/payments/{id} | Update payment (PUT/PATCH) |
| DELETE | /api/v1/payments/{id} | Delete payment |
Payroll
3
| GET | /api/v1/payroll | List payroll (paginated) |
| GET | /api/v1/payroll/{id} | Get payroll details |
| POST | /api/v1/payroll | Create payroll |
Permissions
1
| GET | /api/v1/permissions | Permissions |
Pos Counters
5
| GET | /api/v1/pos-counters | List pos counters (paginated) |
| POST | /api/v1/pos-counters | Create pos counter |
| GET | /api/v1/pos-counters/{id} | Get pos counter details |
| PUT | /api/v1/pos-counters/{id} | Update pos counter (PUT/PATCH) |
| DELETE | /api/v1/pos-counters/{id} | Delete pos counter |
Pos Sales
4
| GET | /api/v1/pos-sales | List pos sales (paginated) |
| GET | /api/v1/pos-sales/{id} | Get pos sale details |
| POST | /api/v1/pos-sales | Create pos sale |
| DELETE | /api/v1/pos-sales/{id} | Delete pos sale |
Pos Shifts
4
| GET | /api/v1/pos-shifts | List pos shifts (paginated) |
| GET | /api/v1/pos-shifts/{id} | Get pos shift details |
| POST | /api/v1/pos-shifts | Create pos shift |
| PUT | /api/v1/pos-shifts/{id} | Update pos shift (PUT/PATCH) |
Production Jobs
5
| GET | /api/v1/production-jobs | List production jobs (paginated) |
| POST | /api/v1/production-jobs | Create production job |
| GET | /api/v1/production-jobs/{id} | Get production job details |
| PUT | /api/v1/production-jobs/{id} | Update production job (PUT/PATCH) |
| DELETE | /api/v1/production-jobs/{id} | Delete production job |
Products
5
| GET | /api/v1/products | List products (paginated) |
| POST | /api/v1/products | Create product |
| GET | /api/v1/products/{id} | Get product details |
| PUT | /api/v1/products/{id} | Update product (PUT/PATCH) |
| DELETE | /api/v1/products/{id} | Delete product |
Projects
5
| GET | /api/v1/projects | List projects (paginated) |
| POST | /api/v1/projects | Create project |
| GET | /api/v1/projects/{id} | Get project details |
| PUT | /api/v1/projects/{id} | Update project (PUT/PATCH) |
| DELETE | /api/v1/projects/{id} | Delete project |
Purchase Orders
5
| GET | /api/v1/purchase-orders | List purchase orders (paginated) |
| POST | /api/v1/purchase-orders | Create purchase order |
| GET | /api/v1/purchase-orders/{id} | Get purchase order details |
| PUT | /api/v1/purchase-orders/{id} | Update purchase order (PUT/PATCH) |
| DELETE | /api/v1/purchase-orders/{id} | Delete purchase order |
Quotations
5
| GET | /api/v1/quotations | List quotations (paginated) |
| POST | /api/v1/quotations | Create quotation |
| GET | /api/v1/quotations/{id} | Get quotation details |
| PUT | /api/v1/quotations/{id} | Update quotation (PUT/PATCH) |
| DELETE | /api/v1/quotations/{id} | Delete quotation |
Referral Codes
5
| GET | /api/v1/referral-codes | List referral codes (paginated) |
| POST | /api/v1/referral-codes | Create referral code |
| GET | /api/v1/referral-codes/{id} | Get referral code details |
| PUT | /api/v1/referral-codes/{id} | Update referral code (PUT/PATCH) |
| DELETE | /api/v1/referral-codes/{id} | Delete referral code |
Reports
1
| GET | /api/v1/reports/{module} | Report |
Restaurant Tables
5
| GET | /api/v1/restaurant-tables | List restaurant tables (paginated) |
| POST | /api/v1/restaurant-tables | Create restaurant table |
| GET | /api/v1/restaurant-tables/{id} | Get restaurant table details |
| PUT | /api/v1/restaurant-tables/{id} | Update restaurant table (PUT/PATCH) |
| DELETE | /api/v1/restaurant-tables/{id} | Delete restaurant table |
Roles
1
| GET | /api/v1/roles | Roles |
Sales Activities
5
| GET | /api/v1/sales-activities | List sales activities (paginated) |
| POST | /api/v1/sales-activities | Create sales activity |
| GET | /api/v1/sales-activities/{id} | Get sales activity details |
| PUT | /api/v1/sales-activities/{id} | Update sales activity (PUT/PATCH) |
| DELETE | /api/v1/sales-activities/{id} | Delete sales activity |
Sales Targets
5
| GET | /api/v1/sales-targets | List sales targets (paginated) |
| POST | /api/v1/sales-targets | Create sales target |
| GET | /api/v1/sales-targets/{id} | Get sales target details |
| PUT | /api/v1/sales-targets/{id} | Update sales target (PUT/PATCH) |
| DELETE | /api/v1/sales-targets/{id} | Delete sales target |
Service Requests
5
| GET | /api/v1/service-requests | List service requests (paginated) |
| POST | /api/v1/service-requests | Create service request |
| GET | /api/v1/service-requests/{id} | Get service request details |
| PUT | /api/v1/service-requests/{id} | Update service request (PUT/PATCH) |
| DELETE | /api/v1/service-requests/{id} | Delete service request |
Shipments
5
| GET | /api/v1/shipments | List shipments (paginated) |
| POST | /api/v1/shipments | Create shipment |
| GET | /api/v1/shipments/{id} | Get shipment details |
| PUT | /api/v1/shipments/{id} | Update shipment (PUT/PATCH) |
| DELETE | /api/v1/shipments/{id} | Delete shipment |
Students
5
| GET | /api/v1/students | List students (paginated) |
| POST | /api/v1/students | Create student |
| GET | /api/v1/students/{id} | Get student details |
| PUT | /api/v1/students/{id} | Update student (PUT/PATCH) |
| DELETE | /api/v1/students/{id} | Delete student |
Subscription
2
| GET | /api/v1/subscription | Subscription |
| POST | /api/v1/subscription/upgrade | Upgrade Subscription |
Suppliers
5
| GET | /api/v1/suppliers | List suppliers (paginated) |
| POST | /api/v1/suppliers | Create supplier |
| GET | /api/v1/suppliers/{id} | Get supplier details |
| PUT | /api/v1/suppliers/{id} | Update supplier (PUT/PATCH) |
| DELETE | /api/v1/suppliers/{id} | Delete supplier |
Table Orders
5
| GET | /api/v1/table-orders | List table orders (paginated) |
| POST | /api/v1/table-orders | Create table order |
| GET | /api/v1/table-orders/{id} | Get table order details |
| PUT | /api/v1/table-orders/{id} | Update table order (PUT/PATCH) |
| DELETE | /api/v1/table-orders/{id} | Delete table order |
Territories
5
| GET | /api/v1/territories | List territories (paginated) |
| POST | /api/v1/territories | Create territory |
| GET | /api/v1/territories/{id} | Get territory details |
| PUT | /api/v1/territories/{id} | Update territory (PUT/PATCH) |
| DELETE | /api/v1/territories/{id} | Delete territory |
Tickets
5
| GET | /api/v1/tickets | List tickets (paginated) |
| POST | /api/v1/tickets | Create ticket |
| GET | /api/v1/tickets/{id} | Get ticket details |
| PUT | /api/v1/tickets/{id} | Update ticket (PUT/PATCH) |
| DELETE | /api/v1/tickets/{id} | Delete ticket |
Timesheets
3
| GET | /api/v1/timesheets | List timesheets (paginated) |
| POST | /api/v1/timesheets | Create timesheet |
| DELETE | /api/v1/timesheets/{id} | Delete timesheet |
Users
5
| GET | /api/v1/users | List users (paginated) |
| POST | /api/v1/users | Create user |
| GET | /api/v1/users/{id} | Get user details |
| PUT | /api/v1/users/{id} | Update user (PUT/PATCH) |
| DELETE | /api/v1/users/{id} | Delete user |
Vehicle Assignments
5
| GET | /api/v1/vehicle-assignments | List vehicle assignments (paginated) |
| POST | /api/v1/vehicle-assignments | Create vehicle assignment |
| GET | /api/v1/vehicle-assignments/{id} | Get vehicle assignment details |
| PUT | /api/v1/vehicle-assignments/{id} | Update vehicle assignment (PUT/PATCH) |
| DELETE | /api/v1/vehicle-assignments/{id} | Delete vehicle assignment |
Vehicles
5
| GET | /api/v1/vehicles | List vehicles (paginated) |
| POST | /api/v1/vehicles | Create vehicle |
| GET | /api/v1/vehicles/{id} | Get vehicle details |
| PUT | /api/v1/vehicles/{id} | Update vehicle (PUT/PATCH) |
| DELETE | /api/v1/vehicles/{id} | Delete vehicle |
Vendor Bills
5
| GET | /api/v1/vendor-bills | List vendor bills (paginated) |
| POST | /api/v1/vendor-bills | Create vendor bill |
| GET | /api/v1/vendor-bills/{id} | Get vendor bill details |
| PUT | /api/v1/vendor-bills/{id} | Update vendor bill (PUT/PATCH) |
| DELETE | /api/v1/vendor-bills/{id} | Delete vendor bill |
Warehouses
5
| GET | /api/v1/warehouses | List warehouses (paginated) |
| POST | /api/v1/warehouses | Create warehouse |
| GET | /api/v1/warehouses/{id} | Get warehouse details |
| PUT | /api/v1/warehouses/{id} | Update warehouse (PUT/PATCH) |
| DELETE | /api/v1/warehouses/{id} | Delete warehouse |
Whatsapp Accounts
5
| GET | /api/v1/whatsapp-accounts | List whatsapp accounts (paginated) |
| POST | /api/v1/whatsapp-accounts | Create whatsapp account |
| GET | /api/v1/whatsapp-accounts/{id} | Get whatsapp account details |
| PUT | /api/v1/whatsapp-accounts/{id} | Update whatsapp account (PUT/PATCH) |
| DELETE | /api/v1/whatsapp-accounts/{id} | Delete whatsapp account |
Whatsapp Conversations
6
| GET | /api/v1/whatsapp-conversations | List whatsapp conversations (paginated) |
| POST | /api/v1/whatsapp-conversations | Create whatsapp conversation |
| GET | /api/v1/whatsapp-conversations/{id} | Get whatsapp conversation details |
| PUT | /api/v1/whatsapp-conversations/{id} | Update whatsapp conversation (PUT/PATCH) |
| DELETE | /api/v1/whatsapp-conversations/{id} | Delete whatsapp conversation |
| POST | /api/v1/whatsapp-conversations/{id}/send | Send Whatsapp Message |
Whatsapp Messages
2
| GET | /api/v1/whatsapp-messages | List whatsapp messages (paginated) |
| POST | /api/v1/whatsapp-messages | Create whatsapp message |
Whatsapp Templates
5
| GET | /api/v1/whatsapp-templates | List whatsapp templates (paginated) |
| POST | /api/v1/whatsapp-templates | Create whatsapp template |
| GET | /api/v1/whatsapp-templates/{id} | Get whatsapp template details |
| PUT | /api/v1/whatsapp-templates/{id} | Update whatsapp template (PUT/PATCH) |
| DELETE | /api/v1/whatsapp-templates/{id} | Delete whatsapp template |
No endpoints match your filter.
Response Format
// 200 OK — success
{
"data": { "id": 1, ... },
"message": "Success"
}
// 422 — validation error
{
"message": "The given data was invalid.",
"errors": { "email": ["Required"] }
}
All tenant endpoints are scoped to your workspace — a token can only ever read and write your own company's data.